<?php
   require("magpie/rss_fetch.inc");

   // RSS feed location?
   $url = "boxing.xml";

   // Retrieve the feed
   $rss = fetch_rss($url);

   // Format the feed for the browser
   $feedTitle = $rss->channel['title'];
   echo "Latest News from <strong>$feedTitle</strong>";
   foreach ($rss->items as $item) {

      $link = $item['link'];
      $title = $item['title'];

      // Not all items necessarily have a description, so test for one.
      $description = isset($item['description']) ? $item['description'] : "";
      echo "<p><a href=\"$link\">$title</a><br />$description</p>";
   }
?>
