<?php

   /* Define gold's current price-per-ounce. */
   define("PPO",400);

   /* Calculate how much gold an employee can purchase with salary. */
   function convert_salary_to_gold($salary) {
      return $salary / PPO;
   }

   /* Connect to the SQLite database. */
   $sqldb = sqlite_open("pmnp.db");

   /* Create the user-defined function. */
   sqlite_create_function($sqldb,"salarytogold", "convert_salary_to_gold", 1);

   /* Query the database using the UDF. */
   $query = "select salarytogold(salary) FROM employee WHERE empid=1";
   $result = sqlite_query($sqldb, $query);
   list($salaryToGold) = sqlite_fetch_array($result);

   /* Display the results. */
   echo "The employee can purchase: ".$salaryToGold." ounces.";

   /* End the database connection. */
   sqlite_close($sqldb);

?>
