<?php
# Set some initial variables
# Loan balance
$balance = 200000.00;
# Loan interest rate
$interestRate = .0575;
# Monthly interest rate
$monthlyInterest = .0575 / 12;
# Term length of the loan, in years.
$termLength = 30;
# Number of payments per year.
$paymentsPerYear = 12;
# Payment iteration
$paymentNumber = 1;
# Perform preliminary calculations
$totalPayments = $termLength * $paymentsPerYear;
$intCalc = 1 + $interestRate / $paymentsPerYear;
$periodicPayment = $balance * pow($intCalc,$totalPayments) * ($intCalc - 1) /
(pow($intCalc,$totalPayments) - 1);
$periodicPayment = round($periodicPayment,2);
# Create table
echo "<table width='50%' align='center' border='1'>";
print "<tr>
<th>Payment Number</th><th>Balance</th>
<th>Payment</th><th>Interest</th><th>Principal</th>
</tr>";
# Call recursive function
amortizationTable($paymentNumber, $periodicPayment, $balance, $monthlyInterest);
# Close table
print "</table>";
?>